function video(hObject, eventdata, handles,vychylky,casy_vychylky,bod_x, bod_y, uhly,pauzy,delka_osy,mov)
%VIDEO Vykresleni srdecni osy spolecne s hodnotami a videem (snímky)

global pozastavit;   
global vymazani;

% %blok pro vytvoření souboru snímků z videa
%--------------------------------------------------------------------------
%     mov=[]
%     %načtení videa
%     readerobj = VideoReader('videa/video.mpg', 'tag', 'myreader1');
%     vidFrames = read(readerobj);
%     numFrames = get(readerobj, 'numberOfFrames');
%     FrRate = get(readerobj, 'FrameRate');
%     
% for i=1:length(vychylky.I)-1
%     
%       %Vytvoření struktury pro uložení jednotlivých video-snímků
%       k = (casy_vychylky(i))*FrRate
%       k = round(k);
%             mov(i).cdata = vidFrames(:,:,:,k);
%             mov(i).colormap = []; 
% end
%--------------------------------------------------------------------------


for i=1:length(vychylky.I)-1
            text(i) = strcat({int2str(uhly(i))}, {'°'});
            delky(i)=strcat({num2str(delka_osy(i),3)}, {' [-]'});
end

%parametry pro Einthovenuv projuhelnik a pro casove ukazatele
    h=(sin(pi/3))*10;
    stred_y=2*(sin(pi/6))*((2*h)/3);
    a1=[];
    a=[];
    c=[];

ylim1=ylim(handles.axes1);
ylim2=ylim(handles.axes3);
set(handles.checkbox1,'enable','off');

%cyklus vykreslovani 
for i=1:length(vychylky.I)-1
cekani=get(handles.edit2,'String');
cekani=str2num(cekani);

     if pozastavit == 1
         pozastavit = 0;
         set(handles.pushbutton4,'enable','off');
         set(handles.pushbutton5,'enable','on');
         uiwait
     end;
     
    if vymazani == 1
        vymazani = 0;
            set(handles.text2,'String','');
            set(handles.text3,'String','');
            set(handles.text5,'String','');
            set(handles.text6,'String','');
            set(handles.text10,'String','');
            set(handles.checkbox1,'Value',0);
            set(handles.checkbox2,'Value',0);
            set(handles.checkbox3,'Value',0);
            set(handles.checkbox5,'Value',0);
            set(handles.text5,'String','');
            cla(handles.axes5);
            cla(handles.axes1);
            cla(handles.axes4);
            cla(handles.axes3);
            set(handles.pushbutton1,'enable','on');
            set(handles.pushbutton2,'enable','on');
            set(handles.pushbutton3,'enable','on');
            set(handles.pushbutton4,'enable','on');
            set(handles.pushbutton5,'enable','on');
            set(handles.pushbutton7,'enable','on');
            set(handles.checkbox1,'enable','on');
       break;
    end
    
    %vykreslení snímku videa
    axes(handles.axes4);
    imshow(mov(i).cdata)
    hold on;

    %vykreslení sklonu srdeční osy
    axes(handles.axes5);
    delete(a1);
    a1=plot([5 bod_x(i)],[stred_y bod_y(i)],'g','LineWidth',3);    
    axis([-1 11 -1 9.5]); 
    
    %výpis číselné hodnoty úhlu
    set(handles.text5,'String',text(i));
    hold on;
    set(handles.text10,'String',delky(i));
    hold on;
   
    %časové posuvníky pro orientaci v signálu    
    axes(handles.axes1); %ke svodu I
    hold on;
    delete(a); 
    delete(c);
    a=plot([casy_vychylky(i) casy_vychylky(i)],[ylim1(1) ylim1(2)],'r');
      
    axes(handles.axes3); %ke svodu II
    hold on;
    c=plot([casy_vychylky(i) casy_vychylky(i)],[ylim2(1) ylim2(2)],'r');
    hold on;
    
    %čekání do dalšího komplexu QRS
    pause(cekani);
   
end
    set(handles.checkbox1,'enable','on');
end

